module config_mod

    implicit none

    public

    ! KIND parameter for reals used in exchange with the coupler. This is made
    ! compatible with OASIS double precision
    integer,parameter :: RNP = SELECTED_REAL_KIND(12,307)

    character(len=*),parameter :: NamelistFileName  = "namelist.runoffmapper"

    character(len=*),parameter :: RunoffMapFileName = "runoff_maps.nc"

    ! File name and NetCDF variable name to read the cell areas.
    ! The areas.nc file that OASIS reads is used here as well.
    character(len=*),parameter :: CellAreaFileName  = "areas.nc"
    character(len=*),parameter :: CellAreaVarName   = "RnfA.srf"

    ! x and y (i and j) dimensions of the runoff mapper grid
    integer,parameter :: GridNX = 512
    integer,parameter :: GridNY = 256

    ! Logical IO unit number to read the namelist
    integer,parameter :: NAMLUN = 13

contains

subroutine ERROR(msg)
    character(len=*),intent(in) :: msg

    write (*,'("*EE*",A)') msg
    stop 'Aborting runoff-mapper.'
end subroutine ERROR

end module config_mod
